# cat ConfigLocale.sh
#!/bin/sh
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# A utility for updating /etc/sysconfig/language
#
# usage: sh ConfigLocale.sh -lang lang -country country -encoding encoding
# example: sh ConfigLocale.sh -lang en -country US -encoding UTF-8
#
# current supported WebSphere VM locale options
#
# LANG LANGUAGE COUNTRY ENCODING
# en English US United States UTF-8
# de German DE Germany UTF-8
# ja Japanese JP Japan UTF-8
# ko Koreeth0an KO Korea UTF-8
# zh Chinese CN China UTF-8
# zh Chinese TW China UTF-8
# fr French FR France UTF-8
# it Italian IT Italy UTF-8
# es Spanish ES Spain UTF-8
# pt Portugese BR Brazil UTF-8
# cs Czech CZ Czech Republic UTF-8
# hu Hungari HU Hungary UTF-8
# pl Polish PL Poland UTF-8
# ru Russian RU Russia UTF-8

LANGUAGE=en
COUNTRY=US
ENCODING=UTF-8

#gather input params
while [ $# -ne 0 ]
do
  case $1 in
    -language)
    LANGUAGE=$2
    ;;
    -country)
    COUNTRY=$2
    ;;
    -encoding)
    ENCODING=$2
    ;;
    *)
    ;;
  esac
  shift 1; shift 1
done
if [ -f '/etc/SuSE-release' ]; then
    LANGUAGE_FILE=/etc/sysconfig/language
    VIRTUSER_PROFILE=/home/virtuser/.profile
    #edit /etc/sysconfig/languages with new locale
    sed --in-place=.bak "/RC_LANG=/ c\RC_LANG=\"${LANGUAGE}_${COUNTRY}.${ENCODING}\"" $LANGUAGE_FILE

    #export LANG
    export LANG=${LANGUAGE}_${COUNTRY}.${ENCODING}

    # update .profile for virtuser
    sed --in-place=.bak "/LANG=/ d" $VIRTUSER_PROFILE
    sed --in-place=.bak "/add your own/ a\export LANG=${LANGUAGE}_${COUNTRY}.${ENCODING}" $VIRTUSER_PROFILE
fi
if [ -f '/etc/redhat-release' ]; then
    LANGUAGE_FILE=/etc/sysconfig/i18n
    #edit /etc/sysconfig/languages with new locale
    sed --in-place=.bak "/LANG=/ c\LANG=\"${LANGUAGE}_${COUNTRY}.${ENCODING}\"" $LANGUAGE_FILE

    #export LANG
    export LANG=${LANGUAGE}_${COUNTRY}.${ENCODING}


fi


# set marker since Iam not sure which is the marker file for redhat leaving this alone
touch /usr/share/YaST2/include/configbasic/.langok
