#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# A utility accepting the license
#
# usage: sh ConfigNET.sh 

#py ConfigNetworkPort.py -0.ipaddr 9.186.107.140 -0.netmask 255.255.255.0 -0.gateway 9.186.107.1 -0.dns1.ip 9.181.2.101 -0.dns2.ip 9.181.2.102
bootproto="static"
param=""

while [ $# -ne 0 ]
do
    case $1 in
    -bootproto*)
     bootproto=$2
     ;; 
    -hostname*)
     hostname=$2
     ;; 
    -domain*)
     domain=$2
     ;; 
    -ipaddr*)
     ipaddr=$2
     param="${param} -0.ipaddr ${ipaddr}"
     ;; 
    -netmask*)
     netmask=$2
     param="${param} -0.netmask ${netmask}"
     ;; 
    -gateway*)
     gateway=$2
     param="${param} -0.gateway ${gateway}"
     ;; 
    -pri_dns*)
     pri_dns=$2
     param="${param} -0.dns1.ip ${pri_dns}"
     ;; 
    -sec_dns*)
     sec_dns=$2
     if [ -n "${sec_dns}" ]; then
         param="${param} -0.dns2.ip ${sec_dns}"
     fi
     ;; 
    -layer2*)
     layer2=$2
     param="${param} -0.layer2 ${layer2}"
     ;;
    -*)
     alias=$2
     ;; 
    *)
    ;;
    esac
    shift 1; shift 1
done
echo $param
if [ $bootproto != "static"  ]; then
	bootproto="true"
	echo "/opt/IBM/AE/AS/ConfigNetworkPort.py -0.usedhcp $bootproto  "
	/opt/IBM/AE/AS/ConfigNetworkPort.py -0.usedhcp $bootproto  
else
	bootproto="false"
	echo "/opt/IBM/AE/AS/ConfigNetworkPort.py -0.usedhcp ${bootproto} ${param} "
	/opt/IBM/AE/AS/ConfigNetworkPort.py -0.usedhcp $bootproto ${param} 
fi

/opt/IBM/AE/AS/ConfigSystem.py -hostname $hostname -domainname $domain


exit 0
