#!/bin/sh
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

function addkeys()
{
	local username=$1
	local keyfile=$2

	homedir=`cat /etc/passwd | grep "^${username}:" | cut -d':' -f6`
	if [ $? -ne 0 ]; then
		echo  "unknown userid $username. Skipping"
		return
	fi
	mkdir -p $homedir/.ssh
	cat  $keyfile >> $homedir/.ssh/authorized_keys
	chmod 700 $homedir/.ssh
	chmod 600 $homedir/.ssh/authorized_keys
	chown -R ${username}:users $homedir/.ssh
}

defaultuser='virtuser'

let key_count=0
let username_count=0
while [ $# -ne 0 ]
do
	case $1 in
		-ssh_key*)
			ssh_keys[$key_count]=$2
			let key_count=$key_count+1
		;;
		-username*)
			usernames[$username_count]=$2;
			let username_count=$username_count+1
		;;
		*)
		;;
	esac
	shift 1; shift 1
done

if [ $username_count -eq 0 ]; then
	usernames[0]=$defaultuser
	let username_count=1
fi

rm -f /tmp/authorized_keys
touch /tmp/authorized_keys
chmod 600 /tmp/authorized_keys

for ((i=0;i<$key_count;i++)); do
	echo "${ssh_keys[${i}]}" >> /tmp/authorized_keys
done

addkeys 'root' '/tmp/authorized_keys'
for ((i=0;i<$username_count;i++)); do
	addkeys ${usernames[${i}]} '/tmp/authorized_keys'
done

rm /tmp/authorized_keys
