#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-X89 (C) COPYRIGHT International Business Machines Corp., 2009
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# A utility for configuring VNC
#
# usage: sh ConfigPWD.sh -username "username" -password "password"

# source include for debug output
source /opt/IBM/AE/AS/debugWAS.sh

if [ -f /etc/SuSE-release ]; then  
	VNCPATH="/usr/X11R6/bin/"
elif [ -f /etc/redhat-release ]; then 
	VNCPATH="/usr/bin/"
fi

PATH=$VNCPATH:$PATH

VAR_FILE=/etc/virtualimage.properties

while [ $# -ne 0 ]
do
        case $1 in
                -username*)
                username=$2
                ;;
                -password*)
                password=$2
                ;;
                -title*)
                title=$2
                ;;
                *)
                ;;
        esac
   	    shift 1; shift 1
done

writeVariable()
{
  echodebug "Writing Variable profile: $VAR_KEY=$VAR_VALUE  ::  $VAR_DESC"   

  echo ""  >> $VAR_FILE
  echo "#" >> $VAR_FILE
  echo "# $VAR_DESC" >> $VAR_FILE
  echo "#" >> $VAR_FILE
  echo "$VAR_KEY=$VAR_VALUE"  >> $VAR_FILE
  echo ""  >> $VAR_FILE
  
  echodebug "Finished writing Variable profile: $VAR_KEY=$VAR_VALUE  ::  $VAR_DESC"   
}


mkdir -p ~virtuser/.vnc
echo -n "$password" | vncpasswd -f > ~virtuser/.vnc/passwd

echo -e "#!/bin/sh\n"              >> ~virtuser/.vnc/xstartup
echo -e "xrdb \$HOME/.Xresources\n" >> ~virtuser/.vnc/xstartup
echo -e "xsetroot -solid grey\n"  >> ~virtuser/.vnc/xstartup
echo -e "xterm -geometry 80x24+10+10 -ls -title \"$title\" &\n"  >> ~virtuser/.vnc/xstartup
echo -e "gnome-session &\n"   >> ~virtuser/.vnc/xstartup

chmod 755 ~virtuser/.vnc
chmod  600 ~virtuser/.vnc/passwd
chmod 755 ~virtuser/.vnc/xstartup
chown -R virtuser  ~virtuser/.vnc
chgrp -R users  ~virtuser/.vnc

su -c "vncserver :1 -name \"${title}\"" virtuser

FULL_HOSTNAME=`cat /etc/HOSTNAME`

VAR_KEY="VNC_SERVER_URL"
VAR_VALUE="http://$FULL_HOSTNAME:5801/"
VAR_DESC="VNC Server URL"
writeVariable   
